Platform API
Same sk-saakh- secret key. Base URL is the API host without /v1 (e.g. https://api.ai.saakh.in).
Endpoints
| Method | Path | Capability |
|---|---|---|
| POST | /api/v1/ai/translate | Translation |
| POST | /api/v1/ai/ocr | OCR |
| POST | /api/v1/ai/videos | Video generation |
| POST | /api/v1/ai/web/search | Web search |
| POST | /api/v1/ai/web/scrape | Scrape URL to markdown |
| POST | /api/v1/ai/speech-to-speech | Voice pipeline |
| WS | /api/v1/ai/realtime | Realtime voice |
Example — translate
curl https://api.ai.saakh.in/api/v1/ai/translate \
-H "Authorization: Bearer $SAAKH_API_KEY" \
-H "Content-Type: application/json" \
-d '{"text":"Good morning","targetLanguage":"Hindi"}'